Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.renderer
Interface ImageRendererFactory

All Superinterfaces:
  RendererFactory

All Known Implementing Classes:
  ConcreteImageRendererFactory

public interface ImageRendererFactory
extends RendererFactory

Interface for a factory of ImageRenderers

Method Summary
`ImageRenderer` | `createDynamicImageRenderer()` Creates a new dynamic renderer.
`ImageRenderer` | `createStaticImageRenderer()` Creates a new static renderer.

Methods inherited from interface org.apache.batik.gvt.renderer.RendererFactory
`createRenderer`

Method Detail

### createStaticImageRenderer

    public ImageRenderer createStaticImageRenderer()

  Creates a new static renderer.

### createDynamicImageRenderer

    public ImageRenderer createDynamicImageRenderer()

  Creates a new dynamic renderer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.